<?php 

/**
* WPBakery Page Builder Stockie Contact Form shortcode
*/

add_shortcode( 'stockie_contact_form', 'stockie_contact_form_func' );

function stockie_contact_form_func( $atts ) {
	if ( isset( $atts ) && is_array( $atts ) ) extract( $atts );

	// Default values, parsing and filtering
	$form_id = isset( $form_id ) ? StockieExtraFilter::string( $form_id, 'string', '') : '';
	$form_style = isset( $form_style ) ? StockieExtraFilter::string( $form_style, 'string', 'border') : 'border';
	$fields_offset = isset( $fields_offset ) ? StockieExtraFilter::string( $fields_offset, 'string', '10px') : '10px';

	$button = isset( $button ) ? StockieExtraFilter::string( $button ) : 'color=brand';
	$button_position = isset( $button_position ) ? StockieExtraFilter::string( $button_position ) : 'left';
	$fields_color = isset( $fields_color ) ? StockieExtraFilter::string( $fields_color ) : false;
	$fields_border_color = isset( $fields_border_color ) ? StockieExtraFilter::string( $fields_border_color ) : false;
	$fields_text_color = isset( $fields_text_color ) ? StockieExtraFilter::string( $fields_text_color ) : false;
	$fields_focus_border_color = isset( $fields_focus_border_color ) ? StockieExtraFilter::string( $fields_focus_border_color ) : false;
	
	$appearance_effect = isset( $appearance_effect ) ? StockieExtraFilter::string( $appearance_effect, 'attr', 'none' )  : 'none';
	$appearance_duration = isset( $appearance_duration ) ? StockieExtraFilter::string( $appearance_duration, 'attr', false )  : false;
	if ( $appearance_duration ) $appearance_duration = intval( str_replace( 'ms', '', $appearance_duration ) );

	$css_class = ( isset( $css_class ) ) ? ' ' . StockieExtraFilter::string( $css_class, 'attr', '' )  : '';

	// Styling
	$contact_form_uniqid = uniqid( 'stockie-custom-' );

	$contact_form_class = '';
	if ( $button_position ) {
		$contact_form_class .= ' text-' . $button_position;
	}
	if ( $form_style != 'border' ) {
		$contact_form_class .= ' ' . $form_style;
	}
	if ( intval( $fields_offset ) == 0 ) {
		$contact_form_class .= ' without-label-offset';
	}

	$fields_css = $fields_focus_css = $fields_placeholder_css = '';
	if ( $fields_color ) {
		if ( $form_style == 'classic') {
			$fields_css .= 'border-color: ' . $fields_color . '; color: ' . $fields_color . ';';
			$fields_placeholder_css .= 'color: ' . $fields_color . ';';
		} else {
			$fields_css .= 'border-color: ' . $fields_color . '; background-color: ' . $fields_color . ';';
		}
	}
	if ( $fields_border_color && $form_style != 'flat' ) {
		$fields_css .= 'border-color: ' . $fields_border_color . ';';
	}
	if ( $fields_text_color ) {
		$fields_css .= 'color: ' . $fields_text_color . ';';
		$fields_placeholder_css .= 'color: ' . $fields_text_color . ';';
	}
	if ( $fields_focus_border_color ) {
		$fields_focus_css .= 'border-color: ' . $fields_focus_border_color . ';';
	}

	// Read more button
	$button = preg_replace( '/\&amp\;/', '&', $button );
	parse_str( $button, $button_settings );
	$button_css = StockieExtraParser::VC_button_to_css( $button_settings );

	$form_css = '';
	$label_css = '';
	$btn_css = '';

	if ( $fields_offset ) {
		$form_css = 'margin: -'. $fields_offset . ';';
		$label_css = 'padding: ' . $fields_offset . ';';
		$btn_css = 'margin: ' . $fields_offset . ';';
	}

	// Assembling
	include( plugin_dir_path( __FILE__ ) . 'contact_form__style.php' );
	ob_start();
	include( plugin_dir_path( __FILE__ ) . 'contact_form__view.php' );
	return ob_get_clean();
}