<?php if ( function_exists( 'acf_add_local_field_group' ) ) :

    acf_add_local_field_group( [
        "key" => "group_5946360af373c5",
        "title" => "Custom CSS",
        "title" => __( 'Custom CSS', 'stockie' ),
        "private" => true,
        "fields" => [
            [
                "key" => "field_542245d4313bf",
                "label" => __( 'General', 'stockie' ),
                "name" => "",
                "type" => "tab",
                "instructions" => "",
                "required" => 0,
                "conditional_logic" => 0,
                "placement" => "top",
                "endpoint" => 0
            ],
            [
                "key" => "field_591ac509d4a44",
                "label" => __( 'Custom CSS styles', 'stockie' ),
                "name" => "global_page_custom_css",
                "type" => "stockie_code",
                "instructions" => __( 'Write your own stylesheet here', 'stockie' ),
                "required" => 0,
                "conditional_logic" => 0,
                "default_value" => "",
                "placeholder" => "Your CSS code goes here",
                "language" => "css"
            ],
            [
                "key" => "field_5937e0a52b4567mod951",
                "label" => "",
                "name" => "",
                "type" => "message",
                "instructions" => "",
                "required" => 0,
                "conditional_logic" => 0,
                "message" => '<p class="message"><span class="dashicons dashicons-editor-help"></span>' . __( 'You won\'t lose the CSS code after updating the theme.', 'stockie' ) . '</p>',
                "new_lines" => "",
                "esc_html" => 0
            ],
            [
                "key" => "field_542245d6313bf",
                "label" => __( 'Responsive Styles', 'stockie' ),
                "name" => "",
                "type" => "tab",
                "instructions" => "",
                "required" => 0,
                "conditional_logic" => 0,
                "placement" => "top",
                "endpoint" => 0
            ],
            [
                "key" => "field_593743a43b383415",
                "label" => __( 'Desktop devices', 'stockie' ),
                "name" => "global_page_custom_large_css",
                "type" => "stockie_code",
                "instructions" => __( 'Write your stylesheet here <em>(from 1025px)</em>', 'stockie' ),
                "required" => 0,
                "conditional_logic" => 0,
                "default_value" => "",
                "language" => "css"
            ],
            [
                "key" => "field_593743a43b373415",
                "label" => __( 'Tablet devices', 'stockie' ),
                "name" => "global_page_custom_medium_css",
                "type" => "stockie_code",
                "instructions" => __( 'Write your stylesheet here <em>(up to 1024px)</em>', 'stockie' ),
                "required" => 0,
                "conditional_logic" => 0,
                "default_value" => "",
                "language" => "css"
            ],
            [
                "key" => "field_593743a43b363415",
                "label" => __( 'Mobile devices', 'stockie' ),
                "name" => "global_page_custom_small_css",
                "type" => "stockie_code",
                "instructions" => __( 'Write your stylesheet here <em>(up to 768px)</em>', 'stockie' ),
                "required" => 0,
                "conditional_logic" => 0,
                "default_value" => "",
                "language" => "css"
            ]
        ],
        "location" => [
            [
                [
                    "param" => "options_page",
                    "operator" => "==",
                    "value" => "theme-general-custom"
                ]
            ]
        ],
        "menu_order" => 0,
        "position" => "normal",
        "style" => "default",
        "label_placement" => "left",
        "instruction_placement" => "label",
        "hide_on_screen" => "",
        "active" => 1,
        "description" => ""
    ] );

endif;